at.chipkarte.client.bkf.soap

## Class BKFAnspruchsinformation

- Object
- - at.chipkarte.client.bkf.soap.BKFAnspruchsinformation

-     public class BKFAnspruchsinformation
      extends Object

  Diese Klasse enthält die Informationen eines BKF-Leistungsanspruches.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BKFAnspruchsinformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDatum()` Enthält das Datum des nächsten aktuell geplanten Tokens der angegebenen Tokenart.
    `String` | `getKonsumiert()` Enthält die Information, ob der Token zum Abfragezeitpunkt konsumiert ist.
    `String` | `getLeistungsanspruch()` Enthält die Information, ob der Token zum Abfragezeitpunkt gültig ist.
    `String` | `getReserviert()` Enthält die Information, ob der Token zum Abfragezeitpunkt reserviert ist.
    `String` | `getTokenart()` Information, ob es sich um einen Regulären oder einen Rescreen-Token handelt.
    `void` | `setDatum(String datum)`
    `void` | `setKonsumiert(String konsumiert)`
    `void` | `setLeistungsanspruch(String leistungsanspruch)`
    `void` | `setReserviert(String reserviert)`
    `void` | `setTokenart(String tokenart)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BKFAnspruchsinformation

          public BKFAnspruchsinformation()

  - ### Method Detail

    - #### getTokenart

          public String getTokenart()

      Information, ob es sich um einen Regulären oder einen Rescreen-Token handelt.
      Angabe: Muss.
      mögliche Werte: siehe `TokenartTypConstant`.
      Returns:
        Tokenart

    - #### setTokenart

          public void setTokenart(String tokenart)

    - #### getLeistungsanspruch

          public String getLeistungsanspruch()

      Enthält die Information, ob der Token zum Abfragezeitpunkt gültig ist.
      Angabe: Muss.
      Mögliche Werte siehe `JaNeinTypConstant`.
      Returns:
        Leistungsanspruch

    - #### setLeistungsanspruch

          public void setLeistungsanspruch(String leistungsanspruch)

    - #### getKonsumiert

          public String getKonsumiert()

      Enthält die Information, ob der Token zum Abfragezeitpunkt konsumiert ist.
      Angabe: Kann.
      Kann nur befüllt sein, wenn es sich um einen gültigen Token laut Parameter `leistungsanspruch` handelt.
      Mögliche Werte siehe `JaNeinTypConstant`.
      Returns:
        Konsumiert

    - #### setKonsumiert

          public void setKonsumiert(String konsumiert)

    - #### getReserviert

          public String getReserviert()

      Enthält die Information, ob der Token zum Abfragezeitpunkt reserviert ist.
      Angabe: Kann.
      Kann nur befüllt sein, wenn es sich um einen gültigen und nicht konsumierten Token laut der Parameter `leistungsanspruch` und `konsumiert` handelt.
      Mögliche Werte siehe `JaNeinTypConstant`.
      Returns:
        Reserviert

    - #### setReserviert

          public void setReserviert(String reserviert)

    - #### getDatum

          public String getDatum()

      Enthält das Datum des nächsten aktuell geplanten Tokens der angegebenen Tokenart.
      Angabe: Kann.
      Kann bei regulären Token (siehe Parameter `tokenart)`) nur bei gültigen und konsumierten Token (siehe Parameter `leistungsanspruch` und `konsumiert`) befüllt sein. Kann bei Rescreen-Token (siehe Parameter `tokenart)`) auch bei aktuell nicht gültigen und nicht konsumierten Tokens (siehe Parameter `leistungsanspruch` und `konsumiert`) befüllt sein.
      Format: TT.MM.JJJJ
      Returns:
        Datum

    - #### setDatum

          public void setDatum(String datum)